package com.example.haircosmeticsanalyser.db

import androidx.lifecycle.LiveData
import androidx.room.*

@Dao
interface IngredientDao {

    @Query(value = "SELECT * FROM ingredients ORDER BY id DESC")
    fun getAllIngredientInfo() : List<IngredientEntity>?

    @Query(value = "SELECT * FROM ingredients WHERE name LIKE '%' || :search || '%'")
    fun getSearchResult(search: String?) : IngredientEntity?
}