package com.example.haircosmeticsanalyser.db

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "Ingredients")
data class IngredientEntity (
    @PrimaryKey(autoGenerate = true) @ColumnInfo(name = "Id") val id : Int = 1,
    @ColumnInfo(name = "Name") val name : String = "",
    @ColumnInfo(name = "Category") val category : String = "",
    @ColumnInfo(name = "Description") val description : String = ""
)